Bug 334721 - Error rebuilding Kernel for Dazuko
Summary: Error rebuilding Kernel for Dazuko
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel   
(Show other bugs)
Version: 7
Hardware: i686
OS: Linux
low
high
Target Milestone: ---
Assignee: Kernel Maintainer List
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-10-16 16:26 UTC by Guy
Modified: 2007-11-30 22:12 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-10-17 16:48:18 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Guy 2007-10-16 16:26:32 UTC
Description of problem: Trying to create new kernel so we can enable Dazuko


Version-Release number of selected component (if applicable):


How reproducible: probably quite easy now as I would just run the command again


Steps to Reproduce:
1. run rpmbuild -bb --target=i686 /usr/src/redhat/SPECS/kernel-2.6.spec
2.
3.
  
Actual results: 
fs/cifs/cifssmb.c:657: internal compiler error: Segmentation fault
Please submit a full bug report,
with preprocessed source if appropriate.
See <URL:http://bugzilla.redhat.com/bugzilla> for instructions.
The bug is not reproducible, so it is likely a hardware or OS problem.
make[2]: *** [fs/cifs/cifssmb.o] Error 1
make[1]: *** [fs/cifs] Error 2
make: *** [fs] Error 2
+ exit 1
error: Bad exit status from /var/tmp/rpm-tmp.96723 (%build)


RPM build errors:
    Bad exit status from /var/tmp/rpm-tmp.96723 (%build)



Expected results: Ummm a new kernel!?


Additional info:

Comment 1 Chuck Ebbert 2007-10-16 16:33:12 UTC
Does it happen exactly the same every time?


Comment 2 Guy 2007-10-16 16:48:53 UTC
I don't know 
This is the first time and it takes a while
I will run it again now
But in the UK and leaving soon
I will try and login from home later and chack and let you know

Cheers

(In reply to comment #1)
> Does it happen exactly the same every time?
> 

(In reply to comment #1)
> Does it happen exactly the same every time?
> 



Comment 3 Guy 2007-10-16 18:28:18 UTC
New error same command line have changed nothing

/bin/sh: line 1: 20120 Segmentation fault      sparse -D__linux__ -Dlinux
-D__STDC__ -Dunix -D__unix__ -Wbitwise -D__i386__ -nostdinc -isystem
/usr/lib/gcc/i386-redhat-linux/4.1.2/include
-Wp,-MD,drivers/net/wireless/.ipw2100.o.d -nostdinc -isystem
/usr/lib/gcc/i386-redhat-linux/4.1.2/include -D__KERNEL__ -Iinclude -include
include/linux/autoconf.h -Wall -Wundef -Wstrict-prototypes -Wno-trigraphs
-fno-strict-aliasing -fno-common -Os -pipe -msoft-float -mregparm=3
-freg-struct-return -mpreferred-stack-boundary=2 -march=i586 -mtune=generic
-mtune=generic -ffreestanding -maccumulate-outgoing-args -DCONFIG_AS_CFI=1
-DCONFIG_AS_CFI_SIGNAL_FRAME=1 -Iinclude/asm-i386/mach-generic
-Iinclude/asm-i386/mach-default -fno-omit-frame-pointer
-fno-optimize-sibling-calls -g -fno-stack-protector
-Wdeclaration-after-statement -Wno-pointer-sign -DMODULE -D"KBUILD_STR(s)=#s"
-D"KBUILD_BASENAME=KBUILD_STR(ipw2100)" -D"KBUILD_MODNAME=KBUILD_STR(ipw2100)"
drivers/net/wireless/ipw2100.c
make[3]: *** [drivers/net/wireless/ipw2100.o] Error 139
make[2]: *** [drivers/net/wireless] Error 2
make[1]: *** [drivers/net] Error 2
make: *** [drivers] Error 2
+ exit 1
error: Bad exit status from /var/tmp/rpm-tmp.20921 (%build)


RPM build errors:
    Bad exit status from /var/tmp/rpm-tmp.20921 (%build)


Comment 4 Chuck Ebbert 2007-10-16 18:34:01 UTC
You have some kind of hardware problem, probably bad memory modules. Other
possibilities are overheating or bad power supply. Run memtest86 for at least a
few passes through memory, the more the better.



Comment 5 Guy 2007-10-17 08:13:21 UTC
/bin/sh: line 1:  6662 Segmentation fault      sparse -D__linux__ -Dlinux
-D__STDC__ -Dunix -D__unix__ -Wbitwise -D__i386__ -nostdinc -isystem
/usr/lib/gcc/i386-redhat-linux/4.1.2/include
-Wp,-MD,drivers/media/video/saa7134/.saa7134-alsa.o.d -nostdinc -isystem
/usr/lib/gcc/i386-redhat-linux/4.1.2/include -D__KERNEL__ -Iinclude -include
include/linux/autoconf.h -Wall -Wundef -Wstrict-prototypes -Wno-trigraphs
-fno-strict-aliasing -fno-common -Os -pipe -msoft-float -mregparm=3
-freg-struct-return -mpreferred-stack-boundary=2 -march=i586 -mtune=generic
-mtune=generic -ffreestanding -maccumulate-outgoing-args -DCONFIG_AS_CFI=1
-DCONFIG_AS_CFI_SIGNAL_FRAME=1 -Iinclude/asm-i386/mach-generic
-Iinclude/asm-i386/mach-default -fno-omit-frame-pointer
-fno-optimize-sibling-calls -g -fno-stack-protector
-Wdeclaration-after-statement -Wno-pointer-sign -Idrivers/media/video
-Idrivers/media/dvb/dvb-core -Idrivers/media/dvb/frontends -DMODULE
-D"KBUILD_STR(s)=#s" -D"KBUILD_BASENAME=KBUILD_STR(saa7134_alsa)"
-D"KBUILD_MODNAME=KBUILD_STR(saa7134_alsa)"
drivers/media/video/saa7134/saa7134-alsa.c
make[4]: *** [drivers/media/video/saa7134/saa7134-alsa.o] Error 139
make[3]: *** [drivers/media/video/saa7134] Error 2
make[2]: *** [drivers/media/video] Error 2
make[1]: *** [drivers/media] Error 2
make: *** [drivers] Error 2
+ exit 1
error: Bad exit status from /var/tmp/rpm-tmp.24019 (%build)


RPM build errors:
    Bad exit status from /var/tmp/rpm-tmp.24019 (%build)

Comment 6 Chuck Ebbert 2007-10-17 16:48:18 UTC
You are getting random segafaults in GCC and sparse, this is almost certainly a
hardware problem, not a kernel bug. (If it happened at the same place every time
it would be a GCC or sparse bug.)


Note You need to log in before you can comment on or make changes to this bug.